using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TargetController.Common;
using VirtuosoComponentLibrary;
using CuriosityBoardLibrary;

namespace LED_Host
{
	public class LED_Target2ViewModel : LED_Target2Model
	{
		public LED_Target2ViewModel()
		{
			InitializeComponents();
		}

		public LED_Target2ViewModel (ITargetHostingConfiguration TargetConfiguration) : base(TargetConfiguration)
		{
			InitializeComponents();
		}

		private void InitializeComponents()
		{
			// Add component(s) here....
			_PowerButton = new PowerButtonViewModel(this, "VirtualDeviceIsPowered", LEDTileImage.Tile1, PowerButtonColor.Blue);
            // Initialize the LED control view model to display the LED
            // This LED control view model will bind to the 'SIM_LEDTarget2State' model property we created which
            // binds to the 'SIM_LEDTarget2State' variable in the target
            _LEDTarget2VM = new LEDViewModel(this, "SIM_LEDTarget2State", System.Windows.Media.Colors.Green, System.Windows.Media.Colors.Gray);
		}

		private PowerButtonViewModel _PowerButton;
		public PowerButtonViewModel PowerButton
		{
			get
			{
				return _PowerButton;
			}
		}

        // Adding LED control view model to target view model
        private LEDViewModel _LEDTarget2VM;
        public LEDViewModel LEDTarget2VM
        {
            get
            {
                return _LEDTarget2VM;
            }
        }
	}
}
