/************************************************************************************
*
* This file is controlled by Virtuoso........
*
************************************************************************************/
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TargetController.Common;
using LocalVisualStudioCTargetController;
using VirtuosoComponentLibrary;

namespace LED_Host
{
    public class BaseShellViewModel
    {
        LocalVisualStudioCTargetHostingConfiguration CTargetHostingConfig;
		public LED_Target1ViewModel LED_Target1_ViewModel { get; set; }
		public LED_Target2ViewModel LED_Target2_ViewModel { get; set; }

        public BaseShellViewModel()
        {
			CTargetHostingConfig = new LocalVisualStudioCTargetHostingConfiguration();
			CTargetHostingConfig.TargetName = "LED_Target2";
			CTargetHostingConfig.ProjectPath = GetSolutionPath();
			LED_Target2_ViewModel = new LED_Target2ViewModel(CTargetHostingConfig);
			CTargetHostingConfig = new LocalVisualStudioCTargetHostingConfiguration();
			CTargetHostingConfig.TargetName = "LED_Target1";
			CTargetHostingConfig.ProjectPath = GetSolutionPath();
			LED_Target1_ViewModel = new LED_Target1ViewModel(CTargetHostingConfig);
        }
        public LEDTileImage TileImage
        {
            get { return LEDTileImage.Tile1; }
        }
        private string GetSolutionPath()
        {
            DirectoryInfo dirInfo = new DirectoryInfo(AppDomain.CurrentDomain.BaseDirectory);
            return dirInfo.Parent.Parent.Parent.FullName;
        }
        public string HostTitle
        {
            get
            {
                DirectoryInfo dirInfo = new DirectoryInfo(AppDomain.CurrentDomain.BaseDirectory);
                return dirInfo.Parent.Parent.Name;
            }
        }
    }
}
