/************************************************************************************
*
* This file is controlled by Virtuoso........
*
************************************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using LocalVisualStudioCTargetController;
using System.IO;
using TargetController.Common;
using VirtuosoComponentLibrary.SettingsManager;

namespace LED_Host
{
   public class LED_Target1Model : LocalVisualStudioCTargetBackgroundController
   {
      public List<string> UpStreams;
      public List<string> DownStreams;
      public List<string> AllStreams;
      public PersistentSettings Settings;

      public LED_Target1Model()
      {
      }
      
      public LED_Target1Model(ITargetHostingConfiguration TargetConfiguration) : base(TargetConfiguration)
      {
         UpStreams = new List<string>()
         {
         };

         DownStreams = new List<string>()
         {
         };

         AllStreams = UpStreams.Concat(DownStreams).ToList();
         Settings = new PersistentSettings();
      }

      public bool VirtualDeviceIsPowered
      {
         get { return GetPowerState(); }
         set
         {
            SetPowerState("VirtualDeviceIsPowered", value); 
            if (value)  { TargetController.RunTarget(); } else  { TargetController.PauseTarget(); }
         }
      }

      public bool SIM_LEDTarget1State
      {
         get { return base.GetBoolProperty("SIM_LEDTarget1State"); }
         set { throw new Exception("This is an output property and cannot be 'set'"); }
      }

   }
}
